import { Box, ButtonBase, MenuItem } from "@mui/material";
import Link from "next/link";

const WebHeaderButton = ({ item }) => {
  const hasItems = item.lists && item.lists.length > 0 ? true : false;
  return (
    <div
      component="nav"
      className="relative inline-block group"
      sx={{ position: "relative" }}
    >
      <ButtonBase
        className={`${
          hasItems ? "rounded-t-md" : "rounded-md "
        }   font-bold group-hover:bg-white relative overflow-hidden px-2`}
      >
        {item.hasLink ? (
          <a
            rel="noopener noreferrer"
            href={item.link}
            className="w-full h-full flex items-center justify-center p-2 relative z-10"
          >
            {item.title}
          </a>
        ) : (
          <div className="w-full h-full flex items-center justify-center p-2 relative z-10">
            {item.title}
          </div>
        )}
        <div className="absolute top-0 right-0 h-[2px] w-0 bg-secondary-400 transition-all duration-1000 group-hover:w-full" />
      </ButtonBase>

      <Box
        className="hidden absolute  right-0 m-0  shadow-sm bg-white rounded-b-md rounded-tl-md group-hover:top-[95%] group-hover:block"
        component="ul"
      >
        {item?.lists?.map((item, index) => (
          <MenuItem
            key={index}
            component={Link}
            href={item.link}
            sx={{
              padding: "8px 16px",
              textDecoration: "none",
              color: "text.primary",
              "&:hover": {
                backgroundColor: "grey.100",
              },
            }}
            className="font-normal hover:font-semibold pl-8 "
          >
            {item.title}
          </MenuItem>
        ))}
      </Box>
    </div>
  );
};

export default WebHeaderButton;
